{% extends 'base.html' %}

{% block header %}
  <h1>{% block title %}Карта{% endblock %}</h1>
{% endblock %}

{% block content %}
    <form method="post">
        <label for="card_number">Номер карты</label>
        <input type="number" name="card_number" id="card_number" value="{{ card.number }}" required>
        <br><br>
        <label for="due_date">Активен до:</label>
        <input type="month" name="due_date" id="due_date"
               value="{% if card %} {{ card.due_date.strftime('%m-%Y') }} {% endif %}"  required>
        <br><br>
        <label for="three_dig">Защитный код</label>
        <input type="tel" name="three_dig" id="three_dig" value="{{ card.three_num }}" required>
        <br><br>
        <input type="submit" value="Сохранить">
    </form>
{% endblock %}